import type { Meta, StoryObj } from "@storybook/react"
import { Button } from "./button"

const meta: Meta<typeof Button> = {
    title: "BUTTON/Button",
    component: Button,
    render: args => <Button {...args}>Click me</Button>,
}

export default meta

type Story = StoryObj<typeof Button>

export const Outlined: Story = {
    args: {
        variant: 'outline', size: 'lg'
    },
};


export const Default: Story = {
    args: { variant: 'default' },
};
