import React from 'react';
import { calendarVariants } from './calendar'; 
import { DatePickerDemo } from './DatePicker';

import type { Meta, StoryObj } from '@storybook/react';


const meta: Meta<typeof DatePickerDemo> = {
  title: 'Calendar/DatePickerDemo',
  component: DatePickerDemo,
  
  render: (args) => <DatePickerDemo {...args} />,
};

export default meta;

type Story = StoryObj<typeof DatePickerDemo>;

export const Default: Story = {
  args: {
    variant:'default'
  },
};

export const WithEnabledDates: Story = {
  args: {
    enabledDates: [new Date(2024, 2, 15), new Date(2024, 2, 20)],
  },
};

export const CustomStyles: Story = {
  args: {
    variant:'custom'
  },
};

export const CustomVariant: Story = {
  args: {
    variant:'outline'
  },
};
