import React from 'react';
import { Calendar, calendarVariants } from './calendar'; 

import type { Meta, StoryObj } from '@storybook/react';


const meta: Meta<typeof Calendar> = {
  title: 'Calendar/Calendar',
  component: Calendar,
  
  render: (args) => <Calendar {...args} />,
};

export default meta;

type Story = StoryObj<typeof Calendar>;

export const Default: Story = {
  args: {
    variant:'default'
  },
};

export const WithEnabledDates: Story = {
  args: {
    enabledDates: [new Date(2024, 2, 15), new Date(2024, 2, 20)],
  },
};

export const CustomStyles: Story = {
  args: {
    variant:'custom'
  },
};

export const CustomVariant: Story = {
  args: {
    variant:'outline'
  },
};
