// stories/ui/checkbox.stories.tsx
import type { Meta, StoryObj } from "@storybook/react";
import { CustomCheckbox } from "./checkbox";

const meta: Meta<typeof CustomCheckbox> = {
  title: "CHECKBOX/Checkbox",
  component: CustomCheckbox,
  render: (args) => <CustomCheckbox {...args} />,
};

export default meta;

type Story = StoryObj<typeof CustomCheckbox>;

export const Default: Story = {
  args: {
    checked: true,
    checkedClassName: "custom-checked",
    uncheckedClassName: "custom-unchecked",
  },
};


export const Disabled: Story = {
  args: {
    disable: true,
    checkedClassName: "custom-checked",
    uncheckedClassName: "custom-unchecked",
  },
};
