import type { Meta, StoryObj } from "@storybook/react"
import { PasswordInput } from "./PasswordInput" 
const meta: Meta<typeof PasswordInput> = {
    title: "Input/PasswordInput",
    component: PasswordInput,
    render: args => <PasswordInput {...args} />,
}

export default meta

type Story = StoryObj<typeof PasswordInput>


export const Default:Story = {
    args:{
        variant:'default',
        inputSize:'sm'
    }
}

export const Primary: Story = {
    args: {
        variant: 'primary',
        inputSize: 'lg',
    },
};

export const Disabled: Story = {
    args: {
        variant: 'default',
        inputSize: 'lg',
        disable:true
    },
};


