import type { Meta, StoryObj } from "@storybook/react";
import { Input } from "./input"; // Assuming your Input component file is named "Input"

const meta: Meta<typeof Input> = {
    title: "Input/Input",
    component: Input,
    render: args => <Input {...args} />,
}

export default meta

type Story = StoryObj<typeof Input>

export const Default: Story = {
    args: {
        placeholder: 'Type something...',
    },
};

export const Primary: Story = {
    args: {
        variant: 'primary',
        inputSize: 'lg',
        placeholder: 'Type something...',
    },
};

export const Disabled: Story = {
    args: {
        variant: 'default',
        inputSize: 'lg',
        placeholder: 'Type something...',
        disable: true,
    },
};


