import type { Meta, StoryObj } from "@storybook/react"
import { Switch } from "./switch"

const meta: Meta<typeof Switch> = {
    title: "Shift/Switch",
    component: Switch,
    render: args => <Switch {...args} onChange={(isChecked:any) => console.log("Switch is toggled:", isChecked)} ></Switch>,
}

export default meta

type Story = StoryObj<typeof Switch>

export const Primary: Story = {
    args: {
        variant: 'primary',
        size:'default'
    },
};

export const Default: Story = {
    args: {
        variant: 'secondary',
        size:'sm'
    },
};



