import type { Meta, StoryObj } from "@storybook/react"
import { Avatar } from "./avatar"

const meta: Meta<typeof Avatar> = {
    title: "Avatar",
    component: Avatar,
    render: args => <Avatar {...args} fallbackText="SD">This is a Label</Avatar>,
}

export default meta

type Story = StoryObj<typeof Avatar>

export const RoundedFallback: Story = {
    args: {
        variant: 'rounded',
        src:'https://github.com/shadcn.png'
    },
};

export const Default: Story = {
    args: {
        variant: 'default'
    },
};



