import type { Meta, StoryObj } from "@storybook/react";
import { Slider } from "./slider";

const meta: Meta<typeof Slider> = {
  title: "Slider",
  component: Slider,
  render: (args) => <Slider {...args} defaultValue={[24]} max={100} step={1}></Slider>,
};

export default meta;

type Story = StoryObj<typeof Slider>;

export const Orange: Story = {
  args: {
    variant: "orange",
    track: "orange",
    thumb: "orange",
  },
};

export const Default: Story = {
  args: {
   variant: "slate",
   track: "slate", 
   thumb: "slate" 
},
};
