import type { Meta, StoryObj } from "@storybook/react"
import { TooltipProvider } from "./tooltip"

const meta: Meta<typeof TooltipProvider> = {
    title: "TooltipProvider",
    component: TooltipProvider,
    parameters: {
        layout: 'centered',
      },
    render: args => <TooltipProvider {...args}></TooltipProvider>,
}

export default meta

type Story = StoryObj<typeof TooltipProvider>

export const Default: Story = {
    args: {
        variant: 'bottom',
        trigger:'Hover',
        content:{
            item1:'Anything',
            item2:'Anything'
        }
    },
};



export const Left: Story = {
    args: {
        variant: 'left',
        trigger:'Hover',
        content:{
            item1:'Anything',
            item2:'Anything'
        }
    },
};


export const Right: Story = {
    args: {
        variant: 'right',
        trigger:'Hover',
        content:{
            item1:'Anything',
            item2:'Anything'
        }
    },
};


export const Top: Story = {
    args: {
        variant: 'top',
        trigger:'Hover',
        content:{
            item1:'Anything',
            item2:'Anything'
        }
    },
};